feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.NoInline

# Documentation

data NoInline a where

Constructors

NoInline :: Type a => NoInline (a :-> Full a) |

Instances

EvalBind NoInline |
Semantic NoInline |
Eval NoInline |
Render NoInline |
ToTree NoInline |
Equality NoInline |
Sharable NoInline |
AlphaEq dom dom dom env => AlphaEq NoInline NoInline dom env |
SizeProp (:|| NoInline Type) |
(:<: (:|| NoInline Type) dom, OptimizeSuper dom) => Optimize (:|| NoInline Type) dom |